ISManager (The Data Transfer Scheduler IS Interface 1.2.0-4.2.0-126141 API)
Date: 2016-12-15

org.gcube.datatransfer.scheduler.is

## Class ISManager

- java.lang.Object
- - org.gcube.datatransfer.scheduler.is.ISManager

-     public class ISManager
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `org.gcube.datatransfer.scheduler.db.DataTransferDBManager` | `dbManager`
    `String` | `scope`
    `String` | `type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ISManager(String type, org.gcube.datatransfer.scheduler.db.DataTransferDBManager dbManager, String scope)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `checkIfObjExistsInDB_ByHostname(String hostname)`
    `String` | `checkIfObjExistsInDB_ById(String id)`
    `String` | `checkIfObjExistsInIS_ByHostname(String host)`
    `boolean` | `checkIfObjExistsInIS_ById(String id)`
    `List<String>` | `getObjsFromIS()`
    `String` | `setObjToDB(String[] input)`
    `void` | `updateObjsInDB()`
    `void` | `updateSpecificObjInDB(String[] input, String id)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### type

          public String type

    - #### dbManager

          public org.gcube.datatransfer.scheduler.db.DataTransferDBManager dbManager

    - #### scope

          public String scope

  - ### Constructor Detail

    - #### ISManager

          public ISManager(String type,
                   org.gcube.datatransfer.scheduler.db.DataTransferDBManager dbManager,
                   String scope)

  - ### Method Detail

    - #### updateObjsInDB

          public void updateObjsInDB()

    - #### getObjsFromIS

          public List<String> getObjsFromIS()

    - #### checkIfObjExistsInIS_ById

          public boolean checkIfObjExistsInIS_ById(String id)

    - #### checkIfObjExistsInDB_ById

          public String checkIfObjExistsInDB_ById(String id)

    - #### checkIfObjExistsInDB_ByHostname

          public String checkIfObjExistsInDB_ByHostname(String hostname)

    - #### updateSpecificObjInDB

          public void updateSpecificObjInDB(String[] input,
                                   String id)

    - #### setObjToDB

          public String setObjToDB(String[] input)

    - #### checkIfObjExistsInIS_ByHostname

          public String checkIfObjExistsInIS_ByHostname(String host)

Copyright © 2016. All Rights Reserved.